## profile/mppprof

### Summary

Create a Model Printer Profile (MPP) from the .ti3 test data.

### Usage summary

mppprof [options] outfile
-v Verbose mode
-q [lmhs] Quality - Low, Medium (def), High, Simple
-l limit override default ink limit, 1 - n00%
-s Generate spectral model too
-m Generate ink mixing model
-y Verify profile
-L Output Lab values
inoutfile Base name for input .ti3 /output. MPP file

### Usage Details and Discussion

This is an analogous tool to colprof, but applying to MPP profiles, rather than ICC profiles. This tool creates an MPP profile given the .ti3 test chart information. The model based device profile is an Argyll specific format, used to hold the parameters to a general model based device characterization. This is a less precise and general format than and ICC profile, but is a compact way of representing a devices response when it has a large number of color channels, or when very few measured data points are available for its construction.
The -v flag causes extra information to be printed as the profile is being created, including the delta E statistics for the test data fit against the profile.
The -q parameter sets the level of effort and hence quality in the resulting profile. Different quality profile use different numbers of model parameters.
s simple - use a close variation of the Neugenbauer model, with a single parameter, per device linearisation curve.
l low quality profiles have more detail terms to account for device linearisation.
m medium quality profiles, add color channel cross mixing terms, as well as using more detail parameters.
h high quality profiles, use more detail terms and more profile refinement iterations.
The -l flag overrides any default ink limit (Total Area Coverage) recorded in the .ti3 file.
The -s flag enables the creation of spectral model values, as well as the tri-stimulus model.
The -m flag is currently not implemented.
The -y flag causes each test value and its error to be printed.
The -L flag causes the CGATS output file to contain D50 L*a*b* parameters rather than XYZ.
The inoutfile parameters should be the base name of the .ti3 file, and mppprof will output an mpp that has the same basename and the .mpp extension.